Debian Bug report logs - #575019
spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess

version graph

Package: spamass-milter; Maintainer for spamass-milter is Don Armstrong <don@debian.org>; Source for spamass-milter is src:spamass-milter.

Reported by: Bjørn Mork <bjorn@mork.no>

Date: Mon, 22 Mar 2010 20:42:02 UTC

Severity: normal

Tags: patch

Found in version 0.3.1-8+lenny1

Fixed in versions spamass-milter/0.3.1-10, spamass-milter/0.3.1-8+lenny2

Done: Don Armstrong <don@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Mon, 22 Mar 2010 20:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
New Bug report received and forwarded. Copy sent to Don Armstrong <don@debian.org>. (Mon, 22 Mar 2010 20:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Mon, 22 Mar 2010 21:40:52 +0100
Package: spamass-milter
Version: 0.3.1-8+lenny1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm running spamass-milter with -x and am as such very interested in the 573228
bugfix.  But it causes a zombie process for every mail received:

112      22021  0.0  0.0 122724  1364 ?        Ssl  13:33   0:00 /usr/sbin/spamass-milter -P /var/run/spamass/spamass.pid -f -p /var
112      22037  0.0  0.0      0     0 ?        Z    13:33   0:00  \_ [sendmail] <defunct>
112      22062  0.0  0.0      0     0 ?        Z    13:33   0:00  \_ [sendmail] <defunct>
112      22779  0.0  0.0      0     0 ?        Z    13:40   0:00  \_ [sendmail] <defunct>
112      22816  0.0  0.0      0     0 ?        Z    13:40   0:00  \_ [sendmail] <defunct>
112      22923  0.0  0.0      0     0 ?        Z    13:41   0:00  \_ [sendmail] <defunct>
112      22944  0.0  0.0      0     0 ?        Z    13:42   0:00  \_ [sendmail] <defunct>
112      23266  0.0  0.0      0     0 ?        Z    13:45   0:00  \_ [sendmail] <defunct>
112      23316  0.0  0.0      0     0 ?        Z    13:46   0:00  \_ [sendmail] <defunct>
112      23518  0.0  0.0      0     0 ?        Z    13:48   0:00  \_ [sendmail] <defunct>
112      24042  0.0  0.0      0     0 ?        Z    13:54   0:00  \_ [sendmail] <defunct>


"sendmail" is sendmail 8.14.3-5+lenny1 in this case, if that matters.


Bjørn

- -- System Information:
Debian Release: 5.0.4
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing'), (600, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages spamass-milter depends on:
ii  adduser                   3.110          add and remove users and groups
ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
ii  libgcc1                   1:4.3.2-1.1    GCC support library
ii  libmilter1.0.1            8.14.3-9.1     Sendmail Mail Filter API (Milter)
ii  libstdc++6                4.3.2-1.1      The GNU Standard C++ Library v3
ii  spamc                     3.2.5-2+lenny2 Client for SpamAssassin spam filte

Versions of packages spamass-milter recommends:
ii  sendmail                 8.14.3-5+lenny1 powerful, efficient, and scalable 
ii  spamassassin             3.2.5-2+lenny2  Perl-based spam filter using text 

spamass-milter suggests no packages.

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkun1dEACgkQ10rqkowbIsnHJQCfXquqXfYVBY6S33xZuO1s36Wj
PiEAn078iqByjXGhmZlzcfcuLPZlBNSX
=YNG0
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Mon, 22 Mar 2010 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Mon, 22 Mar 2010 21:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 575019@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Bjørn Mork <bjorn@mork.no>, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Mon, 22 Mar 2010 13:54:08 -0700
On Mon, 22 Mar 2010, Bjørn Mork wrote:
> I'm running spamass-milter with -x and am as such very interested in the 573228
> bugfix.  But it causes a zombie process for every mail received:

Awesome. It's probably not calling waitpid properly.

Would you be willing to test a few iterations of this package for me?
[I don't have a setup which is using -x at all, so I haven't been able
to test it appropriately.]
 

Don Armstrong

-- 
Some pirates achieved immortality by great deeds of cruelty or
derring-do. Some achieved immortality by amassing great wealth. But
the captain had long ago decided that he would, on the whole, prefer
to achieve immortality by not dying.
 -- Terry Pratchet _The Color of Magic_

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Mon, 22 Mar 2010 21:18:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Mon, 22 Mar 2010 21:18:09 GMT) Full text and rfc822 format available.

Message #15 received at 575019@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Don Armstrong <don@donarmstrong.com>, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Mon, 22 Mar 2010 22:06:16 +0100
Don Armstrong <don@donarmstrong.com> writes:
> On Mon, 22 Mar 2010, Bjørn Mork wrote:
>> I'm running spamass-milter with -x and am as such very interested in the 573228
>> bugfix.  But it causes a zombie process for every mail received:
>
> Awesome. It's probably not calling waitpid properly.
>
> Would you be willing to test a few iterations of this package for me?
> [I don't have a setup which is using -x at all, so I haven't been able
> to test it appropriately.]

Sure.  Just send me a link when you've got something.

Thanks for the quick reply.



Bjørn




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Mon, 22 Mar 2010 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Mon, 22 Mar 2010 23:12:03 GMT) Full text and rfc822 format available.

Message #20 received at 575019@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Bjørn Mork <bjorn@mork.no>, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Mon, 22 Mar 2010 16:10:56 -0700
On Mon, 22 Mar 2010, Bjørn Mork wrote:

> Don Armstrong <don@donarmstrong.com> writes:
> > On Mon, 22 Mar 2010, Bjørn Mork wrote:
> >> I'm running spamass-milter with -x and am as such very interested in the 573228
> >> bugfix.  But it causes a zombie process for every mail received:
> >
> > Awesome. It's probably not calling waitpid properly.
> >
> > Would you be willing to test a few iterations of this package for me?
> > [I don't have a setup which is using -x at all, so I haven't been able
> > to test it appropriately.]
> 
> Sure.  Just send me a link when you've got something.

http://rzlab.ucr.edu/debian/spamass-milter/ has the packages; you want
the lenny2 ones.
 
(Note: I haven't done any testing on these, so please watch carefully,
and install the old one if it doesn't work correctly.)


Don Armstrong

-- 
Cheop's Law: Nothing ever gets built on schedule or within budget.
 -- Robert Heinlein _Time Enough For Love_ p242

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Mon, 22 Mar 2010 23:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Mon, 22 Mar 2010 23:33:02 GMT) Full text and rfc822 format available.

Message #25 received at 575019@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Don Armstrong <don@donarmstrong.com>, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 23 Mar 2010 00:31:25 +0100
Don Armstrong <don@donarmstrong.com> writes:
> On Mon, 22 Mar 2010, Bjørn Mork wrote:
>> Don Armstrong <don@donarmstrong.com> writes:
>> > On Mon, 22 Mar 2010, Bjørn Mork wrote:
>> >> I'm running spamass-milter with -x and am as such very interested in the 573228
>> >> bugfix.  But it causes a zombie process for every mail received:
>> >
>> > Awesome. It's probably not calling waitpid properly.
>> >
>> > Would you be willing to test a few iterations of this package for me?
>> > [I don't have a setup which is using -x at all, so I haven't been able
>> > to test it appropriately.]
>> 
>> Sure.  Just send me a link when you've got something.
>
> http://rzlab.ucr.edu/debian/spamass-milter/ has the packages; you want
> the lenny2 ones.
>  
> (Note: I haven't done any testing on these, so please watch carefully,
> and install the old one if it doesn't work correctly.)

Does not look too good:

Mar 23 00:21:48 canardo spamass-milter[16312]: Thrown error: waitpid error: No child processes
Mar 23 00:21:48 canardo sm-mta[16716]: o2MNLfDN016716: Milter: data, reject=451 4.3.2 Please try again later
--
Mar 23 00:21:56 canardo spamass-milter[16312]: Thrown error: waitpid error: No child processes
Mar 23 00:21:56 canardo sm-mta[16734]: o2MNLom8016734: Milter: data, reject=451 4.3.2 Please try again later
--
Mar 23 00:22:10 canardo spamass-milter[16312]: Thrown error: waitpid error: No child processes
Mar 23 00:22:10 canardo sm-mta[16749]: o2MNM4L1016749: Milter: data, reject=451 4.3.2 Please try again later
--
Mar 23 00:22:30 canardo spamass-milter[16312]: Thrown error: waitpid error: No child processes
Mar 23 00:22:30 canardo sm-mta[16716]: o2MNLfDP016716: Milter: data, reject=451 4.3.2 Please try again later
--
Mar 23 00:22:34 canardo spamass-milter[16312]: Thrown error: waitpid error: No child processes
Mar 23 00:22:34 canardo sm-mta[16734]: o2MNLomA016734: Milter: data, reject=451 4.3.2 Please try again later



Bjørn




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Tue, 23 Mar 2010 12:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bjørn Mork <bjorn@mork.no>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Tue, 23 Mar 2010 12:15:07 GMT) Full text and rfc822 format available.

Message #30 received at 575019@bugs.debian.org (full text, mbox):

From: Bjørn Mork <bjorn@mork.no>
To: Don Armstrong <don@donarmstrong.com>, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 23 Mar 2010 13:11:25 +0100
[Message part 1 (text/plain, inline)]
tags 575019 + patch
thanks

I took a brief look at the code and the changes introduced in
0.3.1-8+lenny1 in particular.  The problem is that two pairs of
popen/pclose calls have been replaced by fork+fdopen/fclose.  This
removes the implicit wait4 done by pclose.

I'm afraid spamass-milter does wait for other children here and there,
which is why your initial fix triggered an error.  Ignoring the SIGCHLDs
will cause those other waitpid's to fail.

So we need to add more of a real replacement for pclose.  The original
popen will save the pid in a private list.  We could have done the same,
but since this code isn't used anywhere else I went for a somewhat
simpler approach.  The attached patch on top of 0.3.1-8+lenny1 fixes
this bug for me, and I assume it will fix a similar bug for those using
the -b or -B options (not confirmed).


Bjørn

[spamass.diff (text/x-diff, inline)]
diff -ur spamass-milter-0.3.1.security-lenny1/spamass-milter.cpp spamass-milter-0.3.1/spamass-milter.cpp
--- spamass-milter-0.3.1.security-lenny1/spamass-milter.cpp	2010-03-23 11:12:07.000000000 +0100
+++ spamass-milter-0.3.1/spamass-milter.cpp	2010-03-23 12:51:39.000000000 +0100
@@ -465,13 +465,14 @@
 			   the only way to do it. */
 			char *popen_argv[3];
 			FILE *p;
+			pid_t pid;
 
 			popen_argv[0] = SENDMAIL;
 			popen_argv[1] = spambucket;
 			popen_argv[2] = NULL;
 			
 			debug(D_COPY, "calling %s %s", SENDMAIL, spambucket);
-			p = popenv(popen_argv, "w");
+			p = popenv(popen_argv, "w", &pid);
 			if (!p)
 			{
 				debug(D_COPY, "popenv failed(%s).  Will not send a copy to spambucket", strerror(errno));
@@ -480,6 +481,7 @@
 				// Send message provided by SpamAssassin
 				fwrite(assassin->d().c_str(), assassin->d().size(), 1, p);
 				fclose(p); p = NULL;
+				waitpid(pid, NULL, 0);
 			}
 		}
 		return SMFIS_REJECT;
@@ -826,6 +828,7 @@
 
 		char buf[1024];
 		char *popen_argv[4];
+		pid_t pid;
 		
 		popen_argv[0] = SENDMAIL;
 		popen_argv[1] = "-bv";
@@ -834,7 +837,7 @@
 
 		debug(D_RCPT, "calling %s -bv %s", SENDMAIL, envrcpt[0]);
 
-		p = popenv(popen_argv, "r");
+		p = popenv(popen_argv, "r", &pid);
 		if (!p)
 		{
 			debug(D_RCPT, "popenv failed(%s).  Will not expand aliases", strerror(errno));
@@ -863,6 +866,7 @@
 				}
 			}
 			fclose(p); p = NULL;
+			waitpid(pid, NULL, 0);
 		}
 	} else
 	{
@@ -2126,11 +2130,12 @@
    for simplicity, and always reads stdout and stderr in "r" mode.  Call
    fclose to close the FILE.
 */
-FILE *popenv(char *const argv[], const char *type)
+FILE *popenv(char *const argv[], const char *type, pid_t *pid)
 {
 	FILE *iop;
 	int pdes[2];
 	int save_errno;
+	pid_t tmpid;
 	if ((*type != 'r' && *type != 'w') || type[1])
 	{
 		errno = EINVAL;
@@ -2138,7 +2143,7 @@
 	}
 	if (pipe(pdes) < 0)
 		return (NULL);
-	switch (fork()) {
+	switch (tmpid = fork()) {
 	
 	case -1:			/* Error. */
 		save_errno = errno;
@@ -2184,6 +2189,10 @@
 		(void)close(pdes[0]);
 	}
 
+	/* return pid so that we can wait for it */
+	if (pid)
+		*pid = tmpid;
+
 	return (iop);
 }
 
diff -ur spamass-milter-0.3.1.security-lenny1/spamass-milter.h spamass-milter-0.3.1/spamass-milter.h
--- spamass-milter-0.3.1.security-lenny1/spamass-milter.h	2010-03-23 11:12:07.000000000 +0100
+++ spamass-milter-0.3.1/spamass-milter.h	2010-03-23 12:52:10.000000000 +0100
@@ -186,6 +186,6 @@
 void parse_debuglevel(char* string);
 char *strlwr(char *str);
 void warnmacro(char *macro, char *scope);
-FILE *popenv(char *const argv[], const char *type);
+FILE *popenv(char *const argv[], const char *type, pid_t *pid);
 
 #endif

Added tag(s) patch. Request was from Bjørn Mork <bjorn@mork.no> to control@bugs.debian.org. (Tue, 23 Mar 2010 12:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Tue, 13 Apr 2010 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@padilla.net:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Tue, 13 Apr 2010 07:09:03 GMT) Full text and rfc822 format available.

Message #37 received at 575019@bugs.debian.org (full text, mbox):

From: Len Padilla <len@padilla.net>
To: 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 13 Apr 2010 08:52:54 +0200
Hello. Has there been any progress with this issue? I'm eager to be able to reenable the -x flag for my spamass-milter installation. Thanks in advance.





Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Tue, 13 Apr 2010 19:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Tue, 13 Apr 2010 19:33:09 GMT) Full text and rfc822 format available.

Message #42 received at 575019@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian@padilla.net, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 13 Apr 2010 12:31:55 -0700
On Tue, 13 Apr 2010, Len Padilla wrote:
> Hello. Has there been any progress with this issue? I'm eager to be
> able to reenable the -x flag for my spamass-milter installation.

Yeah, I haven't yet uploaded the fix to unstable or stable-security,
but I will be doing so shortly.


Don Armstrong

-- 
This isn't life in the fast lane, it's life in the oncoming traffic
 -- Terry Pratchett

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Tue, 13 Apr 2010 20:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@padilla.net:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Tue, 13 Apr 2010 20:24:11 GMT) Full text and rfc822 format available.

Message #47 received at 575019@bugs.debian.org (full text, mbox):

From: Len Padilla <len@padilla.net>
To: Don Armstrong <don@donarmstrong.com>
Cc: 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 13 Apr 2010 22:23:36 +0200
Hello,

I've installed the new version (-lenny2) but it seems that an error is still present:
Apr 13 22:17:31 eul0000797 spamass-milter[20457]: Thrown error: waitpid error: No child processes

Regards,
Len


On 13 Apr 2010, at 21:31, Don Armstrong wrote:

> On Tue, 13 Apr 2010, Len Padilla wrote:
>> Hello. Has there been any progress with this issue? I'm eager to be
>> able to reenable the -x flag for my spamass-milter installation.
> 
> Yeah, I haven't yet uploaded the fix to unstable or stable-security,
> but I will be doing so shortly.
> 
> 
> Don Armstrong
> 
> -- 
> This isn't life in the fast lane, it's life in the oncoming traffic
> -- Terry Pratchett
> 
> http://www.donarmstrong.com              http://rzlab.ucr.edu
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Tue, 13 Apr 2010 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Tue, 13 Apr 2010 20:51:05 GMT) Full text and rfc822 format available.

Message #52 received at 575019@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: debian@padilla.net, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 13 Apr 2010 13:48:31 -0700
On Tue, 13 Apr 2010, Len Padilla wrote:
> I've installed the new version (-lenny2) but it seems that an error is still present:
> Apr 13 22:17:31 eul0000797 spamass-milter[20457]: Thrown error: waitpid error: No child processes

If you pulled them from rzlab.ucr.edu/debian/spamass-milter, they're
not the right packages. I haven't uploaded htem anywhere yet. I just
rebuilt the ones for amd64, and I'm building them for i386, so you can
grab them from there in 20 minutes or so.
 

Don Armstrong

-- 
I'd sign up in a hot second for any cellular company whose motto was:
"We're less horrible than a root canal with a cold chisel."
 -- Cory Doctorow

http://www.donarmstrong.com              http://rzlab.ucr.edu




Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Tue, 13 Apr 2010 21:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian@padilla.net:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Tue, 13 Apr 2010 21:12:08 GMT) Full text and rfc822 format available.

Message #57 received at 575019@bugs.debian.org (full text, mbox):

From: Len Padilla <len@padilla.net>
To: 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 13 Apr 2010 23:08:43 +0200
Installed spamass-milter_0.3.1-8+lenny2_i386 (created at 13-Apr-2010 13:51) and it seems to be working OK now. 

Thanks!
Len






Information forwarded to debian-bugs-dist@lists.debian.org, Don Armstrong <don@debian.org>:
Bug#575019; Package spamass-milter. (Tue, 20 Apr 2010 06:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Len Padilla <len@padilla.net>:
Extra info received and forwarded to list. Copy sent to Don Armstrong <don@debian.org>. (Tue, 20 Apr 2010 06:51:03 GMT) Full text and rfc822 format available.

Message #62 received at 575019@bugs.debian.org (full text, mbox):

From: Len Padilla <len@padilla.net>
To: Don Armstrong <don@donarmstrong.com>
Cc: debian@padilla.net, 575019@bugs.debian.org
Subject: Re: Bug#575019: spamass-milter: The fix for bug #573228 causes lots of zombie sendmail processess
Date: Tue, 20 Apr 2010 08:45:52 +0200
Hello,

I spoke too soon. :( I am still getting a large number of zombie processes...

$ ps ax|grep "sendmail.*defunct"|wc -l
2522

I am running the recently released version, 0.3.1-9.

Regards,
Len

--
Len Padilla
Len@Padilla.Net



On 13 Apr 2010, at 22:48, Don Armstrong wrote:

> On Tue, 13 Apr 2010, Len Padilla wrote:
>> I've installed the new version (-lenny2) but it seems that an error is still present:
>> Apr 13 22:17:31 eul0000797 spamass-milter[20457]: Thrown error: waitpid error: No child processes
> 
> If you pulled them from rzlab.ucr.edu/debian/spamass-milter, they're
> not the right packages. I haven't uploaded htem anywhere yet. I just
> rebuilt the ones for amd64, and I'm building them for i386, so you can
> grab them from there in 20 minutes or so.
> 
> 
> Don Armstrong
> 
> -- 
> I'd sign up in a hot second for any cellular company whose motto was:
> "We're less horrible than a root canal with a cold chisel."
> -- Cory Doctorow
> 
> http://www.donarmstrong.com              http://rzlab.ucr.edu
> 





Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Fri, 23 Apr 2010 17:36:04 GMT) Full text and rfc822 format available.

Notification sent to Bjørn Mork <bjorn@mork.no>:
Bug acknowledged by developer. (Fri, 23 Apr 2010 17:36:04 GMT) Full text and rfc822 format available.

Message #67 received at 575019-close@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 575019-close@bugs.debian.org
Subject: Bug#575019: fixed in spamass-milter 0.3.1-10
Date: Fri, 23 Apr 2010 17:32:09 +0000
Source: spamass-milter
Source-Version: 0.3.1-10

We believe that the bug you reported is fixed in the latest version of
spamass-milter, which is due to be installed in the Debian FTP archive:

spamass-milter_0.3.1-10.diff.gz
  to main/s/spamass-milter/spamass-milter_0.3.1-10.diff.gz
spamass-milter_0.3.1-10.dsc
  to main/s/spamass-milter/spamass-milter_0.3.1-10.dsc
spamass-milter_0.3.1-10_amd64.deb
  to main/s/spamass-milter/spamass-milter_0.3.1-10_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Don Armstrong <don@debian.org> (supplier of updated spamass-milter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 22 Mar 2010 14:39:12 -0700
Source: spamass-milter
Binary: spamass-milter
Architecture: source amd64
Version: 0.3.1-10
Distribution: unstable
Urgency: low
Maintainer: Don Armstrong <don@debian.org>
Changed-By: Don Armstrong <don@debian.org>
Description: 
 spamass-milter - milter for filtering mail through spamassassin
Closes: 575019
Changes: 
 spamass-milter (0.3.1-10) unstable; urgency=low
 .
   * Fix zombies which were happening with -x. (closes: #575019)
Checksums-Sha1: 
 acdc375a0876b43cf20ec1c5e1e1f1ded7cbf4fc 1026 spamass-milter_0.3.1-10.dsc
 1fab6e89a3810ad4d51a354d9ebbd5fd8ba46d6c 35915 spamass-milter_0.3.1-10.diff.gz
 5fe2ff937f713a80d24cdc61e4ba015d1fc5e0eb 53130 spamass-milter_0.3.1-10_amd64.deb
Checksums-Sha256: 
 67c62422e435fe1024a229f875833ac1020b503dacea7862ab61ab6ee13c3065 1026 spamass-milter_0.3.1-10.dsc
 4f0233e3bcd31f121eaaeff263e9976d523d85e637a6a2ad77494f6bed64590e 35915 spamass-milter_0.3.1-10.diff.gz
 c4dd982f9308b449f26810c775f95b7ba8f0eec5c7a04e248f2af83e763b2d56 53130 spamass-milter_0.3.1-10_amd64.deb
Files: 
 7dc7ff76f3d45e8f858857355cbc518d 1026 mail extra spamass-milter_0.3.1-10.dsc
 6f45940dcd1c63001eae5555e0726fce 35915 mail extra spamass-milter_0.3.1-10.diff.gz
 d4dc00d75f8a010dd8a4c6d2c90172bb 53130 mail extra spamass-milter_0.3.1-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFL0dgTgcCJIoCND9ARA8jkAKDrfr7JQTK/EYZuY+MEtVmedEU7lACcCKXy
iuZ4ll3Rnoc4O2jlArr8I4E=
=wwro
-----END PGP SIGNATURE-----





Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Sun, 02 May 2010 14:15:10 GMT) Full text and rfc822 format available.

Notification sent to Bjørn Mork <bjorn@mork.no>:
Bug acknowledged by developer. (Sun, 02 May 2010 14:15:10 GMT) Full text and rfc822 format available.

Message #72 received at 575019-close@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: 575019-close@bugs.debian.org
Subject: Bug#575019: fixed in spamass-milter 0.3.1-8+lenny2
Date: Sun, 02 May 2010 14:12:15 +0000
Source: spamass-milter
Source-Version: 0.3.1-8+lenny2

We believe that the bug you reported is fixed in the latest version of
spamass-milter, which is due to be installed in the Debian FTP archive:

spamass-milter_0.3.1-8+lenny2.diff.gz
  to main/s/spamass-milter/spamass-milter_0.3.1-8+lenny2.diff.gz
spamass-milter_0.3.1-8+lenny2.dsc
  to main/s/spamass-milter/spamass-milter_0.3.1-8+lenny2.dsc
spamass-milter_0.3.1-8+lenny2_amd64.deb
  to main/s/spamass-milter/spamass-milter_0.3.1-8+lenny2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Don Armstrong <don@debian.org> (supplier of updated spamass-milter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 22 Mar 2010 14:39:12 -0700
Source: spamass-milter
Binary: spamass-milter
Architecture: source amd64
Version: 0.3.1-8+lenny2
Distribution: stable-security
Urgency: low
Maintainer: Don Armstrong <don@debian.org>
Changed-By: Don Armstrong <don@debian.org>
Description: 
 spamass-milter - milter for filtering mail through spamassassin
Closes: 575019
Changes: 
 spamass-milter (0.3.1-8+lenny2) stable-security; urgency=low
 .
   * Fix zombies which were happening with previous patch to fix -x due to
     lack of a proper call to waitpid(). (closes: #575019)
Checksums-Sha1: 
 56f9d4c8f8909828bf9383f780aca44ad3949342 1050 spamass-milter_0.3.1-8+lenny2.dsc
 20781c247a435cd7c461bff8f8cf4d0eda5f86f0 35530 spamass-milter_0.3.1-8+lenny2.diff.gz
 bdf516e72e60f0aa8340c6f2bbf96ffe8e4121e2 52872 spamass-milter_0.3.1-8+lenny2_amd64.deb
Checksums-Sha256: 
 e629f128b5d1604ee5d833e5fb6fcc411f4ad6b6683bc9d39f4eaabdecd54b9f 1050 spamass-milter_0.3.1-8+lenny2.dsc
 e9d8cec99c378e200667b2f46cd39a85707ec2c1c36abb4e425a2feb5e2823bf 35530 spamass-milter_0.3.1-8+lenny2.diff.gz
 824e48efd34ad2a1eaad1ec157d83acbc2b4b4a82a9203caf6a54485b1631c78 52872 spamass-milter_0.3.1-8+lenny2_amd64.deb
Files: 
 435e426d0273445fb52e165fbad3bdaa 1050 mail extra spamass-milter_0.3.1-8+lenny2.dsc
 43455ddb3b2c2e3e9cf8669bed77cf1f 35530 mail extra spamass-milter_0.3.1-8+lenny2.diff.gz
 65cb3550e38e91b0becfe9fa815df423 52872 mail extra spamass-milter_0.3.1-8+lenny2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFL0dcDgcCJIoCND9ARA2gQAKCHpfLieebDmSUO8Awg8Z1Itei6IACgtk7R
uob6WUkJnt9OsQtU0YcTYe8=
=F5hJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 31 May 2010 07:32:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:13:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.